PRAYER-ACCOUNTD(8)

NAME
prayer-accountd - Prayer system account helper daemon

SYNOPSIS
prayer-accountd [--config-file file] [[--config-option name=value] ...] [--enable-fork | --disable-fork]

DESCRIPTION
prayer-accountd is an auxilliary daemon that allows users to perform various tasks with respect to their UNIX system account:

•   Change passwords

•   Change their name

•   Check filesystem quota

Furthermore it can help users set up an (Exim-only) .forward file for Spam filtering, vacation auto-replies etc.

prayer-accountd can be installed on a separate host from the main Prayer services if necessary. It needs to be able to run passwd(1), chfn(1), and quota(1) for the user, and access users' home directories.

prayer-accountd accepts the following command-line options:

--config-file file
    Reads configuration from file instead of the default.

--config-option name=value
    Sets (overrides) the configuration option name to value. Any number of options can be specified in this manner.

--enable-fork
    Fork subprocesses as requests come in. This is the default.

--disable-fork
    Don't fork; process one request in at the time (debug mode).

FILES
/etc/prayer/accountd.cf
    Default configuration file.

BUGS
prayer-accountd is rather customized to the needs of the University of Cambridge, though some patches have been applied to the Debian package. System administrators should study the source code to see what this means.

AUTHORS
This introductory manual page was put together for Debian by -nosplit Magnus Holmgren <holmgren@debian.org>.